# Generated from basic_auth_credentials-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name basic_auth_credentials

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Decodes HTTP Basic Auth headers
License: MIT
URL: http://github.com/jwilger/basic_auth_credentials
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(jeweler)
BuildArch: noarch

%description
A simple class that takes an HTTP Basic Auth header value and decodes it into
a user_id and password.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.0-1
- Initial package
